<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" routerLink="/development/consultation-config/create">
    {{ 'development.consultation-config.add' | translate }}
  </button>
</div>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.formLD"
        mbKeyLabel="formName"
        mbKeyValue="formCode"
        [(ngModel)]="params.formCode"
        mbType="default"
        mbLabelText="{{ 'development.consultation-config.search.formCode' | translate }} "
        mbPlaceholder="{{ 'development.consultation-config.search.formCode' | translate }} "
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select-unit
        mbLabelText="{{ 'development.consultation-config.search.currentUnit' | translate }}"
        mbPlaceholder="{{ 'development.consultation-config.search.currentUnit' | translate }} "
        [(ngModel)]="params.currentUnit"
      ></mb-select-unit>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.jobDTOS"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        [(ngModel)]="params.currentPosition"
        mbLabelText="{{ 'development.consultation-config.search.currentPosition' | translate }} "
        mbPlaceholder="{{ 'development.consultation-config.search.currentPosition' | translate }} "
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select-unit
        mbLabelText="{{ 'development.consultation-config.search.proposeUnit' | translate }}"
        mbPlaceholder="{{ 'development.consultation-config.search.proposeUnit' | translate }} "
        [(ngModel)]="params.proposeUnit"
      ></mb-select-unit>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.jobDTOS"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        [(ngModel)]="params.proposePosition"
        mbLabelText="{{ 'development.consultation-config.search.proposePosition' | translate }} "
        mbPlaceholder="{{ 'development.consultation-config.search.proposePosition' | translate }} "
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="params.fromDate"
        [mbDisabledDate]="disabledStartDate"
        mbLabelText="{{ 'development.consultation-config.search.fromDate' | translate }}"
      ></mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="params.toDate"
        [mbDisabledDate]="disabledEndDate"
        mbLabelText="{{ 'development.consultation-config.search.toDate' | translate }}"
      ></mb-date-picker>
    </div>
  </div>
  <div class="block-action-search">
    <button class="search-btn" nz-button nzType="text" (click)="search(true)" [disabled]="isLoading">Tìm kiếm</button>
    <button (click)="exportExcel()" nz-button nzType="default" nzSize="large">
      <img src="assets/images/icon/excel.svg" alt="" />
    </button>
  </div>
</nz-card>

<nz-table
  id="table"
  class="ant-table-content data-table"
  #basicTable
  [nzData]="dataTable"
  [nzShowPagination]="false"
  [nzPageSize]="pageable.size"
  [nzScroll]="{ y: scrollY }">
  <thead>
    <tr class="table-header">
      <th scope="col" scope="col" nzWidth="5%" class="text-nowrap text-center">STT</th>
      <th scope="col" class="text-nowrap">{{ 'development.consultation-config.table.col.formCode' | translate }}</th>
      <th scope="col" class="text-nowrap">
        {{ 'development.consultation-config.table.col.currentUnit' | translate }}
      </th>
      <th scope="col" class="text-nowrap">
        {{ 'development.consultation-config.table.col.currentPosition' | translate }}
      </th>
      <th scope="col" class="text-nowrap">
        {{ 'development.consultation-config.table.col.proposeUnit' | translate }}
      </th>
      <th scope="col" class="text-nowrap">
        {{ 'development.consultation-config.table.col.proposePosition' | translate }}
      </th>
      <th scope="col" class="text-nowrap">{{ 'development.consultation-config.table.col.fromDate' | translate }}</th>
      <th scope="col" class="text-nowrap">{{ 'development.consultation-config.table.col.toDate' | translate }}</th>
      <th nzRight scope="col" nzWidth="120px" class="text-nowrap"></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable.data; let i = index">
      <td class="stt">{{ i + 1 + params.size * params.page }}</td>
      <td nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.form" class="text-ellipsis">{{ item.form }}</td>
      <td nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.currentUnit" class="text-ellipsis">
        {{ item.currentUnit }}
      </td>
      <td nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.currentPosition" class="text-ellipsis">
        {{ item.currentPosition }}
      </td>
      <td nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.proposeUnit" class="text-ellipsis">
        {{ item.proposeUnit }}
      </td>
      <td nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.proposePosition" class="text-ellipsis">
        {{ item.proposePosition }}
      </td>
      <td>{{ item.fromDate | date: 'dd/MM/yyyy'}}</td>
      <td>{{ item.toDate | date: 'dd/MM/yyyy'}}</td>
      <td nzRight>
        <em nz-icon nzType="edit" nzTheme="outline" (click)="detail(item.id)"></em>
        <em nz-icon nzType="delete" nzTheme="outline" (click)="deleteItem(item.id)"></em>
      </td>
    </tr>
  </tbody>
</nz-table>
<div class="pagination" *ngIf="dataTable && (dataTable.length >= 15 || params.page > 0)">
  <div class="pagination__table-info">
    <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text"
      >Tìm thấy {{ pageable.totalElements }} kết quả, hiển thị từ {{ params.page * pageable.size + 1 }} đến
      {{ params.page * pageable.size + dataTable.length }}</span
    >
  </div>
  <nz-pagination
    [nzPageIndex]="pageable.currentPage + 1"
    [nzTotal]="pageable.totalElements"
    [nzPageSize]="pageable.size"
    (nzPageIndexChange)="pageChange($event)"
    class="pagination__icon"
  >
  </nz-pagination>
</div>
